@hirthwork

Тег linux в блоге hirthwork

hirthwork

Этот ваш ляликс — говно для просмотра аниме, которое не способно справиться даже с самыми элементарными задачами // via #ojxih

hirthwork

как сделать cp чтобы он зафейлился, если таргет существует? -n не подходит, потому что не фейлится

hirthwork

Вопрос профессионалам: что будет, если в многопоточном приложении вызвать close(2) дважды на одном и том же файловом дескрипторе?
Ответ: будет race condition с очень занятными сайд-эффектами самым безобидным из которых будет broken pipe.

hirthwork

Дано:
1. Доисторический Roverbook с NVIDIA GeForce 9300M GS на борту
2. Gentoo GNU/Linux на ровербуке
3. Криворукое мудило, который все "лишние" галочки в ядре поснимал, USE=-* прописал и весь мир с gcc-6.2.0 и адскими CFLAGS пересобрал

Проблема:
Не работает glxgears. Само окошко рисует, а в окошке нихуя не рисует.

Цель:
Узнать, проблема в настройках системы или же в том, что мамонты все вымерли и на этой системе аппаратного ускорения больше мне не видать.

Вопрос:
Какой Live DVD (не гента) мне взять, чтобы на борту было ядро >= 4.4 и в стандартном наборе репозиториев были nvidia-drivers-304. или nvidia-drivers-340.?

Спешите! У вас есть реальный шанс обратить меня в свою веру!

hirthwork

«Hi do you want to play a game?»

hirthwork
hirthwork

hirthwork

А покритикуйте мой наколенный скрипт для бэкапа? Ну или не покритикуйте, а себе возьмите.
Принимает два аргумента: путь до папки, которую надо забекапить и имя файла. Грузит бэкап в Яндекс.Диск (но только, если в папке что-то поменялось с последнего бекапа)

#!/bin/sh
set -e
folder=$1
file=$2
md5sum=$(find $folder -type f  -exec realpath '{}' \; -exec getfattr --absolute-names -d '{}' \; -exec cat '{}' \; | md5sum)
last=/root/$file.last.md5
echo $md5sum | diff -q - $last && exit 0 || true

target=$file.$(date +%FT%T).tar.gz

archive=$(mktemp --suffix=.$target)
function cleanup() {
    rm -f $archive
}
trap cleanup EXIT

log=$(mktemp --suffix=.$target.log)
tar --xattrs --create --gzip --file=$archive $folder
code=$(curl -m 300 -w '%{http_code}' -o $log -T $archive -H 'Authorization: Basic 0LTQttC40LPRg9GA0LTQsDrRhdGD0LnQv9C40LfQtNCw' https://webdav.yandex.ru/backup/$target)
if [ "$code" = 201 ]
then
    rm -f $archive $log
    echo $md5sum > $last
    exit 0
fi
hirthwork

timeout(1)

hirthwork

Настроил бекапы впски. И знаете, на душе так сразу тепло и спокойно стало.

hirthwork

Что ж, этот день (ночь) настал.
nvidia-drivers новее версии 304.131 не поддерживают мою видюху.
nvidia-drivers-304.131 требует gentoo-sources < 4.4
gentoo-sources < 4.4 не собираются gcc-6.2 (нету файла include/linux/compiler-gcc6.h)

hirthwork

Сегодня при сборке udev впска выдала kernel panic.
Причём выдаёт стабильно при попытке его заемёржить. Щас попытаюсь пересобрать с немного другим конфигом.

hirthwork

Оказалось, что для скринкастов есть утилита recordmydesktop, которая в отличие от ffmpeg умеет таки кэпчурить конкретное окно. Требует window id, так что для пущей юзабилити следует запускать в связке с xprop: recordmydesktop --no-wm-check --no-sound --no-cursor -v_bitrate 200000000 --windowid $(xprop|awk '/WM_CLIENT_LEADER/{print $NF}')

hirthwork

сравнить два tar-архива на эквивалентность того, что они распакуют, оказалось не такой уж тривиальной задачей. пока что попробую archdiff

hirthwork

Мне взгрустнулось и я написал файловую систему. На плюсах. Теговую. Поверх FUSE, разумеется.
Если вкратце, то берёшь папку в которую свален весь хлам и навешиваешь на файлы тэги через extended attributes: setfattr -n user.xynta.tags -v "pepe meme pic exploitable" data/pepe-the-frog.jpg
А потом берёшь и монтируешь фс: make && mkdir -p fsroot && ./xynta $(pwd)/data fsroot
Всё, теперь в fsroot можно ходить по дереву каталогов и по каждому пути будут лежать лишь файлы, у которых есть все теги из перечисленных в пути.

Исходники здесь: https://github.com/hirthwork/xyntafs

Известные проблемы:
1. Нет ебилда.
2. Работает только в режиме read only.
3. Разработчик — мудак.

hirthwork

котаны, если один make и один из рецептов иногда подвисает. наглухо. т.е. не реагирует ни на что кроме SIGKILL. собственно, когда я делаю мэйку ^C, то эта зараза остаётся висеть в топе. можно ли как-то научить make своих детей убивать жесточайше?

hirthwork

http://pubs.opengroup.org/o...defs/sys/time.h.html

suseconds_t

dat feel "поскрести по сусекам"

hirthwork

-x Attach to a not detached screen session. (Multi display mode).

hirthwork

Есть два браузера. palemoon тормозит шопиздец, а yandex-browser-beta — всю память сжирает. И пиздец

hirthwork

опять начало уползать время на VPSке. попробую ACPI + HPET в ядре врубить

Добавить пост

Вы можете выбрать до 10 файлов общим размером не более 10 МБ.
Для форматирования текста используется Markdown.